import { jsx, css } from '@emotion/react';

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var _templateObject;
var Link = function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      className = _ref.className;
  return jsx("a", {
    href: to,
    className: className,
    css: css(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n                color: rgb(0, 125, 179);\n                text-decoration: none;\n\n                &:hover {\n                    color: rgb(0, 125, 179);\n                    text-decoration: underline;\n                }\n\n                &:visited {\n                    color: rgb(0, 125, 179);\n                    text-decoration: none;\n                }\n            "])))
  }, children);
};

var _templateObject$1;
var Pill = function Pill(_ref) {
  var children = _ref.children,
      type = _ref.type;
  return jsx("div", {
    css: css(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                flex-direction: column;\n                align-items: center;\n                justify-content: center;\n                padding: 0.5em 1em;\n                border-radius: 5rem;\n                cursor: pointer;\n                box-sizing: border-box;\n                user-select: none;\n                width: 5.5em;\n                height: 1em;\n                \n                background-color: ", ";\n            "])), type === "primary" ? "#7600ff" : type === "secondary" ? "#1ed760" : "rgb(255, 255, 255)")
  }, children);
};

var _templateObject$2;
var Button = function Button(_ref) {
  var children = _ref.children,
      text = _ref.text;
  return jsx("div", {
    css: css(_templateObject$2 || (_templateObject$2 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                justify-content: center;\n                align-items: center;\n                background-color: #7600ff;\n                border-radius: 12px;\n                color: #eee;\n                cursor: pointer;\n                font-size: 18px;\n                height: 50px;\n                margin-top: 38px;\n                outline: 0;\n                text-align: center;\n                width: 100%;\n            "])))
  }, text ? jsx("p", null, text) : children);
};

var _templateObject$3;
var Card = function Card(_ref) {
  var children = _ref.children,
      title = _ref.title,
      subtitle = _ref.subtitle,
      className = _ref.className,
      full = _ref.full,
      cursor = _ref.cursor,
      padding = _ref.padding;
  return jsx("div", {
    css: css(_templateObject$3 || (_templateObject$3 = _taggedTemplateLiteralLoose(["\n                ", "\n                ", "\n            "])), full ? "\n                        display: grid;\n                        place-items: center;\n                        background-color: #181718;\n                        color: #FFFFFF;\n                        width: 100vw;\n                        height: 100vh;\n                    " : "", cursor ? "cursor: pointer;" : "")
  }, jsx("div", {
    css: css({
      display: "flex",
      flexDirection: "column"
    })
  }, jsx("div", {
    className: className,
    css: css({
      display: "flex",
      flexDirection: "column",
      justifyContent: "center",
      alignItems: "center",
      padding: padding ? padding : "7em",
      background: "rgba(255, 255, 255, 0.20)",
      border: "0.1em solid rgba(0, 0, 0, 0.15)",
      borderRadius: "10px",
      transition: "0.6s"
    })
  }, title ? jsx("div", null, jsx("h2", {
    css: css({
      fontSize: "3em"
    })
  }, title), subtitle ? jsx("h3", {
    css: css({
      fontSize: "1.5em"
    })
  }, subtitle) : null, jsx("div", {
    css: css({
      width: "100%",
      height: "0px",
      left: "calc(50% - 689px/2 - 334px)",
      top: "calc(50% - 0px/2 - 337px)",
      border: "2px solid #605e5c",
      marginTop: "2em"
    })
  })) : null, children)));
};

export { Button, Card, Link, Pill };
//# sourceMappingURL=index.modern.js.map
